Subject: Re: bug#49959: 28.0.50; Emacs got quasi freeze

From: martin rudalics <[email-masked]>
Date: Sun, 22 Aug 2021 11:49:40 +0200

> Could you please ask the developer what the bug really is?  Which are
 > the hidden changes and in which sense do we not render updates?  What
 > should we do better?
 >
 > Thank you for any enlightenment in this area, martin

Maybe the problem can be summarized as follows:

- Emacs is in a state where a frame is hidden but not iconified.

- Emacs gets a PropertyNotify event but does not react because the frame
   was in its understanding _not_ iconified before.  Elightenment thinks
   that Emacs should understand that the frame is visible now and react
   properly.

If that's the case, then Emacs had this problem ever since.  Actually,
Emacs here waits for a MapNotify event to arrive but apparently this
does not happen with Elightenment.

martin